Subject: MIME for sending for non-US ASCII mail (Re: Why I need Big-5)

From: Jianlin Chang <[email-masked]>
Date: Tue, 11 May 1993 16:36:28 EDT

Maybe many people didn't realize that, the growing standard for sending non-US
ASCII code mail is the MIME (Multipurpose Internet Mail Extensions) as specfied
in RFC 1341. This standard is for sending mail containing  audio, video,  Asian
language  text, or even text in most European languages. It add a Content-Type
header field which  can be used to specify the type and subtype of data in the
body of a message and  to  fully specify  the  native  representation
(encoding) of such data. Th body is encoded in some standard way. Upon
receiving the mail, the mail reader will perform appropriate actions according
to the Content-Type header field as specifed in the "mailcap" file. For
example, if the mail reader find audio header, it will just play it on the
audio device, if it find image header, it will start image view program to view
the program, it it find non-US ASCII charator set, it just start the
application to view the mail. Simply by adding an entry in "mailcap" file,
the mail reader can recognize new date types and perform new actions.

Why don't we look at this proposed standard before talking about new standards?